Subject: Killer Pocket-Flashlight for SELF-DEFENSE (75% OFF).

From: "X700 Tactical Flashlight" <[email-masked]>
Date: Sat, 3 Dec 2016 16:39:12 -0800

Your email client does not support HTML, this email must be viewed in HTML mode.